Bug 163978

Summary: Kontact name disappears from composer titlebar when subjects last word is Kontact
Product: kmail2 Reporter: Atli Þór Jónsson <atli.jonsson>
Component: composerAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: minor CC: finex, lemma, martin.fitzpatrick, montel
Priority: NOR Keywords: reproducible, triaged
Version: Git (master)   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In: 4.8.1

Description Atli Þór Jónsson 2008-06-13 18:16:09 UTC
Version:           1.9.9 (using 3.5.9, Kubuntu (hardy) 4:3.5.9-0ubuntu7.1)
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.24-16-generic

When the last word in the subject of a new message is "Kontact", the added "- Kontact" string is removed from the title-bar of the composer.

Like, if the subject is "This is Kontact", you expect the title-bar to read "This is Kontact - Kontact". But it will only display the subject.

Not really an issue but I though I'd mention it :)
Comment 1 FiNeX 2008-06-13 23:03:48 UTC
This has been fixed in KDE4 (tested in trunk).
Comment 2 Thomas McGuire 2008-06-17 18:29:45 UTC
I just tested with trunk and can reproduce the problem.
Comment 3 Martin Fitzpatrick 2009-04-04 02:48:02 UTC
Reproduced on KDE 4.2.2. In Kontact, create New Mail then type in the subject box: This is Kontact. Message disappears as reported.
Comment 4 Martin Fitzpatrick 2009-04-04 03:04:53 UTC
Reproduced on 4.3 trunk when the last word is "Kontact" / "-Kontact" or "- Kontact", and also with "KMail", "-KMail" and "- KMail" in Kmail.
Comment 5 Michael Leupold 2009-04-04 17:38:06 UTC
Reproducible on trunk r948809, apparently with both KMail and Kontact (it's case-sensitive). Funny bug :)
Comment 6 Laurent Montel 2010-10-25 15:32:22 UTC
Still valid in trunk (pre-4.6)
Comment 7 Christophe Giboudeaux 2012-01-08 01:56:39 UTC
Valid in master
Comment 8 Laurent Montel 2012-02-08 15:13:03 UTC
Git commit acb3eca9fe4c8704f9bffa4d8eeba403cfe183e3 by Montel Laurent.
Committed on 08/02/2012 at 16:12.
Pushed by mlaurent into branch 'master'.

Fix Bug 163978 - Kontact name disappears from composer titlebar when

subjects last word is Kontact
FIXED-IN: 4.8.1

M  +16   -0    kmail/secondarywindow.cpp
M  +7    -0    kmail/secondarywindow.h

http://commits.kde.org/kdepim/acb3eca9fe4c8704f9bffa4d8eeba403cfe183e3
Comment 9 Laurent Montel 2012-02-08 15:13:37 UTC
Git commit eab99f787a5868dcc7e9ea4fe67ade60718069b0 by Montel Laurent.
Committed on 08/02/2012 at 16:12.
Pushed by mlaurent into branch 'KDE/4.8'.

Fix Bug 163978 - Kontact name disappears from composer titlebar when

subjects last word is Kontact
FIXED-IN: 4.8.1
(cherry picked from commit acb3eca9fe4c8704f9bffa4d8eeba403cfe183e3)

M  +16   -0    kmail/secondarywindow.cpp
M  +7    -0    kmail/secondarywindow.h

http://commits.kde.org/kdepim/eab99f787a5868dcc7e9ea4fe67ade60718069b0